import PostIndex from './PostIndex';
import SettingsIndex from './SettingsIndex';
import NaviIndex from './NavIndex';
import Menu from '../ui/Menu';

export default class DashManager {
	//--------------------------
	// constructor
	//--------------------------
	constructor() {
		this.currentDisplay = '';
		this.urlPieces = document.URL.split('/');
		this.chooseDisplay(this.urlPieces[4], this.urlPieces[5]);
		//start main menu handler
		new Menu();
	}
	//--------------------------
	// methods
	//--------------------------
	start() {}

	chooseDisplay(section, page) {
		this.currentDisplay = '';
		switch (section) {
			case 'page':
				this.currentDisplay = new PostIndex(page);
				break;
			case 'settings':
				this.currentDisplay = new SettingsIndex();
				break;
			case 'navigation':
				this.currentDisplay = new NaviIndex();
				break;

			default:
				//just chill
				break;
		}
		this.start();
	}
	//--------------------------
	// event handlers
	//--------------------------
}
